﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace XamSample.Samples
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class BtnCommandParameter : ContentPage
	{
		public BtnCommandParameter ()
		{
			InitializeComponent ();
		}


        private async void Button_Clicked(object sender, EventArgs e)
        {
            try
            {
                Button button1 = (Button)sender;
                string commandParameter = button1.CommandParameter.ToString();
                await DisplayAlert("Info", "You selected " + commandParameter, "Ok");
            }
            catch (Exception ex)
            {
                await DisplayAlert("Error occurred", ex.Message.ToString(), "Ok");
            }
        }
    }
}